package KeyFramer;



public class animator {
	
	//private variables
	script myScript;
	
	// constructor
	public animator()
	{
	}
	
	// main routine that process' the script and create the resulting files
	public void runAnim(String workingPath)
	{
		System.out.println("runAnim has been called... ");

		// step 1 is to load the script file
		myScript = new script(workingPath);
		
		System.out.println("script has been loaded... ");

		//set the string output file number
		int currentFileNumber = myScript.getStartingFileNumber();
		
		// loop through the frames
		for(int i = 1; i <= myScript.getFrameCount(); i++)
		{
			System.out.println("processing frame " + String.valueOf(i) + " of " + String.valueOf(myScript.getFrameCount()));
			
			// open the source file
			fileHandling inFile = new fileHandling();
			inFile.OpenFileForReading(myScript.getSourceFile());
			
			//create the output file name
			String outFileName = String.valueOf(currentFileNumber);
			while(outFileName.length()< 10)
			{
				outFileName = "0"+outFileName;
			}
			outFileName = "KFA" + outFileName + ".pov";
			
			// open the output file
			fileHandling outFile = new fileHandling();
			outFile.OpenFileForWriting(workingPath + "\\" + outFileName);
			
			// run the script
			// process each line of the input file
			String line = "";
			while(line != null)
			{
				if(line == "")
				{
					outFile.WriteLineToFile(line);
				}
				else
				{
					//process the line through the scripts animation points
					line = myScript.processLine(line,i);
					
					// write out the processed line
					outFile.WriteLineToFile(line);
				}
				line = inFile.ReadLineFromFile();
			}
			// close output file
			outFile.CloseOpenedFile();
			
			// close input file
			inFile.CloseOpenedFile();
			
			currentFileNumber++;
		}
		
		
	}
	
}
