package KeyFramer;



public class animationVector {
	
	//private variables
	private int myStartFrame = 0;
	private int myEndFrame = 0;
	private float myStartValue = 0f;
	private float myEndValue = 0f;
	
	// constructor
	public animationVector(String startFrame,String endFrame, String startValue, String endValue)
	{
		myStartFrame = Integer.parseInt(startFrame);
		myEndFrame = Integer.parseInt(endFrame);
		myStartValue = Float.parseFloat(startValue);
		myEndValue = Float.parseFloat(endValue);
	}
	
	// is this vector active for specified frame
	public boolean IsActiveForFrame(int frameNumber)
	{
		boolean returnValue = false;
		
		if(frameNumber >= getStartFrame() && frameNumber <= getEndFrame())
		{
			returnValue = true;
		}
		return returnValue;
	}
	
	// get the scripted value for the specified frame
	public float getValueForFrame(int frameNumber)
	{
		float returnValue = 0f; // default return
		if(frameNumber < getStartFrame())
		{
			returnValue = getStartValue();
		}
		if(frameNumber > getEndFrame())
		{
			return getEndValue();
		}
		if(frameNumber >= getStartFrame() && frameNumber <= getEndFrame())
		{
			// calculate value for specified frame
			// localValue =kv.StartValue +( ((kv.EndValue - kv.StartValue)/((kv.EndFrame+1) - kv.StartFrame))*((Frame+1)-kv.StartFrame));
			returnValue =getStartValue() +( ((getEndValue() -getStartValue())/((getEndFrame()+1) - getStartFrame()))*((frameNumber+1)-getStartFrame()));
		}
		return returnValue;
	}
	
	
	// property Accessors
	public int getStartFrame()
	{
		return myStartFrame;
	}
	
	public int getEndFrame()
	{
		return myEndFrame;
	}
	
	public float getStartValue()
	{
		return myStartValue;
	}
	
	public float getEndValue()
	{
		return myEndValue;
	}

}
