package KeyFramer;

import java.io.*;

public class fileHandling {
	
	//private fields
	BufferedReader myFR;
	BufferedWriter myFW;
	
	//
	// constructor
	//
	public fileHandling()
	{
	}

	public void OpenFileForReading(String pathToFile)
	{
		try
		{
			myFR = new BufferedReader(new FileReader(pathToFile));
		}
		catch(IOException e)
		{
		}
	}

	public void OpenFileForWriting(String pathToFile)
	{
		try
		{
			//delete the file if it already exists
			if((new File(pathToFile)).exists())
			{
				(new File(pathToFile)).delete();
			}
			myFW = new BufferedWriter(new FileWriter(pathToFile));
		}
		catch(IOException e)
		{
		}
	}

	public String ReadLineFromFile()
	{
		String ReturnValue = "";
		try
		{
			ReturnValue =  myFR.readLine();
		}
		catch(IOException e){
			ReturnValue = "EOF";
		}
		return ReturnValue;
	}
	
	public void WriteLineToFile(String theLine)
	{
		try
		{
			myFW.write(theLine);
			myFW.newLine();
		}
		catch(IOException e){}
	}

	public void CloseOpenedFile()
	{
		if(myFR != null)
		{
			try
			{
				myFR.close();
			}
			catch(IOException e){}
		}
		if(myFW != null)
		{
			try
			{
				myFW.close();
			}
			catch(IOException e){}
		}
	}

	
	public static boolean DoesFileExist(String fullPathToFile)
	{
		boolean returnValue = (new File(fullPathToFile)).exists();
		return returnValue;
	}
	
	public static String[] GetFilesInFolder(String path)
	{
		File dir = new File(path);
		if(dir.isDirectory())
		{
			return dir.list();
		}
		else
		{
			return null;
		}
	}

}
