#include "colors.inc"
#include "glass.inc"  
#include "stars.inc"
#include "shapes.inc"   

camera {
  location  <0,2,-50>
  look_at   <0, 0,  0>
}

light_source 	{
		<-50, 100, -50>            
		color White
		}

background { color <0.25,0.35,0.80> }  

sphere  {
        <0,0,0>,
        4
        texture {
                pigment {
                        	bozo scale .5
                        	pigment_map	{
                                        	[0 Red]
                                        	[1 Blue]
                                        	}
                        	}
	   finish { ambient .5 }
                rotate <0,TextSpin,0>                                                                
                }
	translate <Xpos,Ypos,Zpos>
        }
